Changed Deployment iOS to 4.0 from 5.0 - Now wont run on my iPhone, but does on simulators

Ive an app that is finished and works when set to deploy on iOS 5.0. Ive since had to change the deployment setting to make it support down to iOS 4.0. Everything code-wise is ok - I just had to change some UIActivityIndicatorView stuff that only works on 5.0. It will compile and run fine on the simulator - both 4.3, and 5.0. But it will no longer run on my local device, an iPhone 4 with iOS 5.0. I get the message on building :

error: There is no SDK with specified name or path /(Path to my project)/Multiple

Ive tried changing build architectures so that armv6 as well as armv7 is supported. Im not sure what else Ive done wrong. Base SDK is set to 5.0; Deployment is set to 4.0. Any help really appreciated.

Answers


The base SDK should always be set to "Latest iOS". You probably only have device SDK 5.1 which is causing a problem.


Need Your Help

Creating Transform stream using ExcelJS for writing xlsx

javascript node.js xlsx

I'm using ExcelJS module and writing wrapper for my purposes, which implements Transform Stream API (yes, node version is 0.10.40).